/*
Author: Able Sense Media
Web: ablesense.com
Date of creation: 23/01/2013
*/

@import 'normalize.less';
@import 'mixins-2014.less';

//////////////////////////////////////////////////////////////////////////////////////////////
/////////////////// CONFIG ///////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////

//Shades
@white: #FFF;
@lightgrey: #f0f0f0;
@grey: #999;
@darkgrey: #333;
@black: #000;

//text color
@text: #5f6269; //text

//theme colors
@primary: #2993d5;
@secondary: #107abc;
@tertiary: #44596c;

@bg: #FFF;

@good: #547411;
@goodbg: #80b217;
//@goodbg: rgba(128, 178, 23, 0.7);

// @neutral: lighten(@darkgrey, 10%);
// @neutralbg: rgba(0, 0, 0, 0.5);
@neutral: #2a4f93;
@neutralbg: #386ccb;
@neutralbg: rgba(56, 108, 203, 0.5);

@bad: #9e2d2d;
@badbg: #cb3838;
// @badbg: rgba(203, 56, 56, 0.7);

@errorcolor: #c72727;
@errorcolorbg: rgba(199, 39, 39, 0.65);

//selection color
@select: @primary;

//////////////////////////////////////////////////////////////////////////////////////////////
/////////////////// GENERAL //////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////

::-moz-selection, ::selection { background: @select; color: #fff; text-shadow: none; }

body{
  font-size: 1em;
  line-height: 1.5;
  color: @text;
  font-family: Arial, "Lucida Grande", sans-serif;
  font-weight: 300;
}

a{
  color: @primary;
  &:visited{ color: @grey; }
  &:hover{ text-decoration: none; }
  &:active{ text-decoration: none; color: @grey; }
}

.hidden{
  display: none;
  visibility: hidden;
}

input[type="text"],
input[type="password"],
input[type="select"],
input[type="search"],
input[type="url"],
input[type="tel"],
input[type="email"],
input[type="date"],
input[type="datetime"],
input[type="month"],
input[type="week"],
input[type="time"],
input[type="number"],
input[type="range"],
input[type="color"] {
  padding: 0.2em 0.5em;
  padding: 0.625em 1em 0.625em;
  .border-radius(3px);
  border: solid 1px @tertiary;
  color: @text;
  .box-shadow(inset 2px 2px 2px 0px rgba(0, 0, 0, 0.1));
  margin-bottom: 0.5em;
}

input[type="select"]{
  display: inline-block;
  margin: 0.5em 0;
}

input[type="radio"],
input[type="checkbox"]{
  vertical-align: top;
  margin: 0.25em 0.5em 0 0;
}

input[type="submit"],
input[type="reset"],
input[type="button"],
button,
ul.multibutton{
  padding: 0.725em 1.5em 0.625em;
  border: solid 1px @tertiary;
  .border-radius(3px);
  background: #f7f8fa; /* Old browsers */
  background: -moz-linear-gradient(top,  #f7f8fa 0%, #e6e6ee 80%, #d0d3da 100%); /* FF3.6+ */
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#f7f8fa), color-stop(80%,#e6e6ee), color-stop(100%,#d0d3da)); /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(top,  #f7f8fa 0%,#e6e6ee 80%,#d0d3da 100%); /* Chrome10+,Safari5.1+ */
  background: -o-linear-gradient(top,  #f7f8fa 0%,#e6e6ee 80%,#d0d3da 100%); /* Opera 11.10+ */
  background: -ms-linear-gradient(top,  #f7f8fa 0%,#e6e6ee 80%,#d0d3da 100%); /* IE10+ */
  background: linear-gradient(to bottom,  #f7f8fa 0%,#e6e6ee 80%,#d0d3da 100%); /* W3C */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f7f8fa', endColorstr='#d0d3da',GradientType=0 ); /* IE6-9 */
  .box-shadow(inset 0px 1px 1px 0px rgba(255, 255, 255, 1));
  text-decoration: none;
  font-size: 0.8125em;
  line-height: 1em;
  color: #616571;
  margin-bottom: 0.5em;
  .text-shadow(1px 1px 1px rgba(0, 0, 0, 0.15));
}

button{
  &:hover{
    .box-shadow(inset 0px 1px 1px 0px rgba(255, 255, 255, 0));
    border: solid 1px darken(@primary, 15%);
    background: @primary;
    color: @white;
  }

  &:active{
    .box-shadow(inset 0px 2px 5px 0px rgba(0, 0, 0, 0.25));
  }
}

input[disabled="disabled"], button[disabled="disabled"]{
  color: @grey;
  border: solid 1px @grey;
}

table{
  border-collapse: collapse;
  table-layout: fixed;
  text-align: left;

  td, th{
    vertical-align: middle;
    white-space: nowrap;
  }

  th{
    overflow: hidden;
  }
}

//////////////////////////////////////////////////////////////////////////////////////////////
/////////////////// FLUID ////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////

html, body{
  height: 100%;
  width: 100%;
  background: @bg;
  .box-sizing(border-box);
}

.header{
  .box-sizing(border-box);
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 40px;
  padding: 0.5em;
  line-height: 1.5em;
  background: @darkgrey;
  color: @grey;
  .text-shadow(0 0 3px rgba(0, 0, 0, 0.5));
  z-index: 29;
  border-bottom: solid 1px black;

  ul{
    display: block;
    list-style: none;
    padding: 0;
    margin: 0;

    li{
      display: inline;

      &:before{
        display: inline-block;
        content: '»';
        margin: 0 0.5em;
      }

      &:first-child:before{
        content: '';
        margin: 0;
      }

      a{
        padding: 0.25em 0.4em;
        background: rgba(255, 255, 255, 0.1);
        .border-radius(5px);

        &:hover, &:focus{
          background: @white;
          color: @text;
          .text-shadow(0 0 0 rgba(0, 0, 0, 0));
        }
      }
    }
  }

  h1, h2{
    display: inline-block;
    font-size: 0.875em;
    font-weight: normal;
    margin: 0;

    a{
      color: @white;
      text-decoration: none;
    }
  }
}

.main{
  position: relative;
  height: 100%;
  width: 100%;
  overflow: auto;
  z-index: 20;

  table{
    margin: 40px 0 0;
    min-width: 100%;
    //background: @darkgrey;
    height: auto;

    &.loading{
      height: 100%;
      background: url(../img/loading.gif) center center no-repeat;

      thead, tbody{
        display: none;
      }
    }

    thead{
      position: absolute;
      display: block;
      width: 3000px;
      z-index: 19;
      .box-shadow(0 1px 3px 0 rgba(0, 0, 0, 0.25));
      text-transform: uppercase;
      letter-spacing: 0.05em;

      th{
        height: 40px;
        display: block;
        width: 8.5em;
        padding: 0 0.75em;
        position: fixed;
        top: 40px;
        left: 0;
        z-index: 19;
        line-height: 40px;
        background: @darkgrey;
        font-weight: normal;
        font-size: 1em;
        color: @white;
        .text-shadow(0 0 2px rgba(0, 0, 0, 0.75));
        .box-shadow(1px 0 3px 0 rgba(0, 0, 0, 0.25));
      }

      th + th{
        position: relative;
        top: auto;
        left: auto;
        width: auto;
        margin: 0 0 0 10em;
        z-index: 18;
        padding: 0;
        .box-shadow(1px 0 3px 0 rgba(0, 0, 0, 0));

        .month{
          position: relative;
          float: left;
          font-size: 0.8125em;
          line-height: 19px;

          .name{
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 20px;
            line-height: 20px;
            text-align: center;
            max-width: 100%;
            overflow: hidden;
            color: @lightgrey;
          }

          .days{
            margin-top: 20px;
            .clearfix();

            span{
              display: block;
              float: left;
              width: 29px;
              border-left: solid 1px lighten(@darkgrey, 10%);
              text-align: center;

              &:first-child{
                border-color: @white;
              }

            }
          }

          &:first-child{
            .days{
              span:first-child{
                border: 0;
              }
            }
          }
        }
      }
    }

    tbody{
      display: block;
      margin: 40px 0 0;

      tr{
        display: block;
        height: 130px;
        border-bottom: solid 1px @tertiary;

        th{
          display: block;
          position: absolute;
          width: 10em;
          height: 130px;
          padding: 3.35em 0.75em;
          background: @lightgrey;
          z-index: 9;
          .box-shadow(1px 0 3px 0 rgba(0, 0, 0, 0.25));
          font-weight: normal;
          .box-sizing(border-box);

          a{
            display: inline-block;
            padding: 0.125em 0.25em;
            font-size: 0.875em;
            text-decoration: none;

            &:hover, &:focus{
              background: @primary;
              .border-radius(5px);
              color: @white;
            }
          }
        }

        td{
          display: block;
          height: 100%;
          margin:  0 0 0 10em;
          position: relative;
          background: @white;
          z-index: 8;

          .date-layer{
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: url(../img/datebg.png) left bottom repeat;
            z-index: 1;
          }

          .chart-layer{
            position: relative;
            top: 0;
            padding: 1em 0;
            z-index: 2;

            div{
              position: relative;
              .box-sizing(border-box);

              &.budget, &.plan{
                height: 3px;
                background: @darkgrey;
                z-index: 2;
                margin: 0 0 1px;

                .range{
                  display: none;
                  visibility: hidden;
                }

                &:before, &:after{
                  content: '';
                  display: block;
                  position: absolute;
                  width: 0;
                  height: 0;
                  border-bottom: solid 8px @darkgrey;
                  border-left: solid 8px transparent;
                  border-right: solid 8px transparent;
                  top: -8px;
                  left: 0;
                }

                &:after{
                  right: 0;
                  left: auto;
                }
              }

              &.plan{
                width: 300px;
                left: 100px;

                &:after, &:before{
                  border-bottom: 0;
                  border-top: solid 8px @darkgrey;
                  top: 3px;
                }
              }

              &.actual{
                max-width: 200px;
                left: 200px;
                font-size: 0.8125em;
                line-height: 1.5;
                z-index: 0;
                color: @white;
                .border-radius(4px);
                .text-shadow(0 0 2px rgba(0, 0, 0, 0.25));
                background-color: rgba(0, 0, 0, 0.5);

                .no-wrap{
                  .border-radius(4px);
                  padding: 0.35em 0.5em;
                  background: @neutralbg;
                  border: solid 2px @neutral;
                }

                &.forecast_ontime{
                  .no-wrap{
                    background: @goodbg;
                    border: solid 2px @goodbg;
                  }
                }

                &.forecast_late{
                  .no-wrap{
                    background: @badbg;
                    border: solid 2px @badbg;
                  }
                }

                &.actual_ontime{
                  .no-wrap{
                    background: @good;
                    border: solid 2px @good;
                  }
                }

                &.actual_late{
                  .no-wrap{
                    background: @bad;
                    border: solid 2px @bad;
                  }
                }

                strong{
                  display: inline-block;
                  font-weight: normal;
                  width: 10em;
                  text-transform: uppercase;
                  letter-spacing: 0.035em;
                }

                em, time{
                  // .border-radius(3px);
                  // padding: 0 2px;
                  // background: rgba(0, 0, 0, 0.25);
                  font-style: normal;
                }

                span{
                  position: relative;
                  display: block;
                }

                .range{
                  font-size: 1.25em;
                  line-height: 1.125;
                }
              }
            }
          }
        }
      }
    }
  }
}

.no-header{
  .header{
    display: none;
    visibility: hidden;
  }

  .main{
    table{
      margin: 0;

      thead{
        th{
          top: 0;
        }

        th + th{
          top: auto;
        }
      }
    }
  }
}

.lt-ie10, .no-fix{
  height: 100%;
  width: 100%;
  overflow: auto;

  body{
    height: 100%;
    width: 100%;
    overflow: auto;
  }

  .header{
    position: static;
    top: auto;
    left: auto;
  }

  .main{
    position: static;
    height: auto;
    width: auto;
    overflow: visible;
    z-index: 20;

    table{
      margin: 0;
      min-width: 100%;
      height: auto;
      width: auto;
      overflow: visible;

      thead{
        position: static;

        tr{
          position: relative;
        }

        th{
          float: left;
          clear: none;
          position: absolute;
          top: 0;
          left: 0;

          div{
            clear: none;
          }
        }

        th + th{
          position: relative;
          top: 0;
        }
      }

      tbody{
        margin: 0;

        tr{
          float: left;
          display: block;
          position: relative;

          th{
            position: absolute;
            float: left;
            clear: none;
            border-top: solid 1px @darkgrey;
          }

          td{
            position: relative;
            float: left;
            clear: none;
            border-top: solid 1px @darkgrey;
          }
        }
      }
    }
  }
}




//////////////////////////////////////////////////////////////////////////////////////////////
/////////////////// NOTIFICATION /////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////


div#notification{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: @white;
  background: rgba(255, 255, 255, 0.75);
  z-index: 200;
  display: none;

  #box{
    width: 400px;
    padding: 25px;
    height: auto;
    margin: 100px auto;
    background: @white;
    border: solid 1px darken(@bg, 15%);
    .border-radius(3px);
    .box-shadow(0 0 35px 0 rgba(0, 0, 0, 0.3));

    // opacity: 0.0;
    // -webkit-transform: scale(0.95) translate3d(0,100%,0);
    // -webkit-transition: -webkit-transform 400ms ease, opacity 400ms ease;

    // &.show {
    //   opacity: 1.0;
    //   -webkit-transform: scale(1.0) translate3d(0,0,0);
    // }

    // &.hide {
    //   opacity: 0.0;
    //   -webkit-transform: scale(0.5) translate3d(0,0,0);
    // }

    #title{
      margin-bottom: 1em;
      padding-bottom: 0.5em;
      border-bottom: solid 1px darken(@bg, 10%);

      h3{
        display: inline-block;
        width: 350px;
        margin: 0;
        line-height: 1;
      }

      a{
        float: right;
        display: inline-block;
        width: 8px;
        padding: 0 6px;
        height: 20px;
        line-height: 20px;
        .border-radius(3px);
        background: @lightgrey;
        text-decoration: none;
        .text-shadow(1px 1px 1px rgba(0, 0, 0, 0.15));

        &:hover{
          background: @primary;
          color: @white;
        }
      }
    }

    #message{
      margin-bottom: 1.5em;
      font-size: 0.875em;

      p{
        margin: 0.25em 0;
      }

      ul{
        display: inline-block;
        list-style: none;
        width: 100%;
        padding: 0;
        font-size: 0.875em;

        li{
          display: block;
          float: left;
          width: 100%;
          border-bottom: solid 1px @lightgrey;
          padding: 0.25em 0;

          &.endofgroup{
            border-bottom: solid 1px darken(@lightgrey, 20%);
          }

          span{
            display: block;
            float: left;
            width: 35%;
            font-weight: bold;
            font-size: 0.875em;
          }
        }
      }

      form{
        table{
          width: 100%;

          td{
            height: 40px;
            border: 0;
            border-bottom: solid 1px @lightgrey;

            &:first-child{
              text-align: left;
            }

            &:last-child{
              text-align: right;
            }

            input{
              width: 80%;
            }

            select{
              width: 40%;
            }
          }
        }
      }
    }

    #buttons{
      text-align: right;

      button{
        margin-bottom: 0;

        &#cancel{
          border: 0;
          background: none;

          &:hover{
            color: @primary;
            text-decoration: underline;
          }
        }
      }
    }

    &.warning{
      border: solid 1px @errorcolor;

      #title{
        color: @errorcolor;
      }
    }
  }
}

